Bug 948729 - YaST: If syslog is not used, point from old "System Log" to newer "Systemd Journal"
YaST: If syslog is not used, point from old "System Log" to newer "Systemd Jo...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Josef Reidinger
Jiri Srain
https://trello.com/c/PDNA7agG
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-04 19:30 UTC by Olli Tuominen
Modified: 2018-10-26 12:48 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
y2logs (819.43 KB, application/gzip)
2015-10-08 06:47 UTC, Olli Tuominen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Tuominen 2015-10-04 19:30:50 UTC
There is nomore log in: /var/log/messages
So can this tool put to track journalctl log?

/var/log/boot.log is still valid.
Comment 1 Lukas Ocilka 2015-10-06 12:52:39 UTC
There already is Yast Journalctl, see https://github.com/yast/yast-journalctl-tutorial

Does it work for you?
Comment 2 Olli Tuominen 2015-10-06 18:14:34 UTC
If there is already better YaST module for it then drop the old as it does not track correct logs. 

However I don't want to code it myself ;)
Comment 3 Lukas Ocilka 2015-10-07 14:58:12 UTC
Well, the fact is, that you can still enable logging into messages.

Ancor, would merging Journalctl and System Log make sense somehow?
Do you see how? IMO we could enable calling Journactl from System Log,
but nothing else.
Comment 4 Ancor Gonzalez Sosa 2015-10-07 15:01:13 UTC
Reasons for not dropping the old module, even though we have "yast2-journal" (accessible as "Systemd Journal" in the icon next to the old "System log" one):

 - /var/log/messages is still used if syslog is installed. Many users decide to install it because they prefer the old text-based logs.
 - It's useful to track other log files like /var/log/boot.log or even any other when configured to do so.

So for me is a WONTFIX, but I don't have a strong opinion about it.
Comment 7 Olli Tuominen 2015-10-08 07:06:57 UTC
Ok - for me, having two different programs to view "system logs" are quite pointless however I understand point of view to enable user choose which one he prefers. UX is king nowadays! ;)

So you can choose if you close this as wontfix but my opinion is to integrate these two ones.
Comment 8 Josef Reidinger 2015-10-08 13:14:46 UTC
(In reply to Olli Tuominen from comment #7)
> Ok - for me, having two different programs to view "system logs" are quite
> pointless however I understand point of view to enable user choose which one
> he prefers. UX is king nowadays! ;)
> 
> So you can choose if you close this as wontfix but my opinion is to
> integrate these two ones.

problem is that goal of first module is to have generic module for text based logs.
The goal of new module is to have specialized journalctl module, that can use many journalctl features. So it is different tools and different goals for them.
What we can maybe do is to allow showing in old one simple full unfiltered output from journalctl. Ancor do you think it make sense?
Comment 9 Ancor Gonzalez Sosa 2015-10-08 16:33:36 UTC
Something that could be done is detecting if the selected file (/var/log/messages by default) is empty or not present. In that case, show a pop-up with a message similar to this (needs rephrasing).

"There is no content in the selected log file (%s). Choose another one.
Take into account that the activity of the main components of the system is now logged to the systemd journal. You can inspect the systemd journal in a convenient way using the YaST journal module."

I think that's a sensible solution, better than doing nothing but not too disruptive.
Comment 10 Ancor Gonzalez Sosa 2015-10-09 08:14:45 UTC
Added to the YaST Team Scrum queue. Will be addressed as time permits.
Comment 11 Josef Reidinger 2018-10-26 12:03:09 UTC
fix is in review https://github.com/yast/yast-yast2/pull/862
Comment 12 Josef Reidinger 2018-10-26 12:48:10 UTC
fix merged. Enjoy it in TW and Leap 15.1